petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGuessSetType

Sets the type of a KSPGuess

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessSetType(KSPGuess guess, KSPGuessType type)

Logically Collective on guess

### Input Parameters

| guess | - the initial guess object for the Krylov method
| type | - a known KSPGuess method

### Options Database Key

-ksp_guess_type <method> -Sets the method; use -help for a list of available methods

### Notes

### See Also

KSP, KSPGuess, KSPGuessType, KSPGuessRegister(), KSPGuessCreate()

### Level

intermediate

### Location

src/ksp/ksp/interface/iguess.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages